> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onvy.health/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom records

> List custom records for a user with optional filtering by type



## OpenAPI

````yaml /api-reference/openapi.yaml get /users/{user_id}/custom_records
openapi: 3.1.0
info:
  title: ONVY Health API
  description: >-
    AI-powered holistic health services API with data merging and metrics
    calculation
  version: 1.0.0
  contact:
    name: ONVY Support
    email: support@onvy.health
    url: https://onvy.health
  license:
    name: Proprietary
    url: https://onvy.health/terms
servers:
  - url: https://api.onvy.health
    description: Public API
security:
  - bearerAuth: []
tags:
  - name: static
    description: Static configuration endpoints
  - name: users
    description: User management
  - name: baselines
    description: User baseline metrics
  - name: daily-records
    description: Daily health records
  - name: chat
    description: AI chat completions
  - name: facts
    description: User facts for individualization
  - name: activities
    description: User activities (workouts and mindfulness sessions)
  - name: ai-summaries
    description: |
      AI-generated summaries. This is how ONVY exposes domain-specific
      insights such as meal nutrition analysis, sleep insights, workouts,
      and daily, weekly, nutrition, trend, and impact analysis. Most
      summary types are system-generated; the public create surface
      currently accepts `type=meal`.
  - name: custom-records
    description: Custom records and types
  - name: meals
    description: Nutrition meal tracking
paths:
  /users/{user_id}/custom_records:
    get:
      tags:
        - custom-records
      summary: List custom records
      description: List custom records for a user with optional filtering by type
      operationId: listCustomRecords
      parameters:
        - $ref: '#/components/parameters/UserIdParam'
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/LimitParam'
        - name: custom_records_type_id
          in: query
          required: false
          description: Filter by custom record type ID
          schema:
            type: string
      responses:
        '200':
          description: List of custom records
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomRecordList'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    UserIdParam:
      name: user_id
      in: path
      required: true
      description: User ID (e.g., google_104940819145861640201)
      schema:
        type: string
    PageParam:
      name: page
      in: query
      required: false
      description: Page Key for pagination
      schema:
        type: string
    LimitParam:
      name: limit
      in: query
      required: false
      description: Number of items per page
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 100
  schemas:
    CustomRecordList:
      type: object
      properties:
        records:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Custom record ID (ULID)
              project_id:
                type: string
              user_id:
                type: string
              custom_records_type_id:
                type: string
                description: ID of the custom record type this record conforms to
              description:
                type: string
                nullable: true
              data:
                type: object
                description: Payload data matching the custom record type's JSON Schema
              attachments:
                type: array
                nullable: true
                description: Optional file attachments associated with this record
                items:
                  type: object
                  properties:
                    mime_type:
                      type: string
                    description:
                      type: string
                      nullable: true
                    data_base64:
                      type: string
                      nullable: true
                      description: Base64-encoded file content
                    data_url:
                      type: string
                      nullable: true
                      description: URL to the file content
              created_at:
                type: string
                format: date-time
              updated_at:
                type: string
                format: date-time
            required:
              - custom_records_type_id
              - data
        pagination:
          type: object
          title: Pagination
          required:
            - limit
            - total
          properties:
            page:
              type: string
            limit:
              type: integer
              minimum: 1
              maximum: 1000
            total:
              type: integer
              minimum: 0
            next_page:
              type: string
      required:
        - records
        - pagination
    ValidationError:
      type: object
      title: ValidationError
      required:
        - error
      properties:
        error:
          type: string
          minLength: 1
      additionalProperties: false
  responses:
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth bearer token for Health API authentication

````